import { ScatterBase } from "./ScatterBase";
import { IScaleLegendSeries } from "igniteui-react-core";
import { ISupportsSizeScale } from "./ISupportsSizeScale";
import { ISupportsFillScale } from "./ISupportsFillScale";
import { Rect } from "igniteui-react-core";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { Type } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { UIElement } from "igniteui-react-core";
import { ActualRange } from "./ActualRange";
import { Series } from "./Series";
import { SizeScale } from "./SizeScale";
import { BrushScale } from "./BrushScale";
import { SeriesView } from "./SeriesView";
import { MarkerFillMode } from "./MarkerFillMode";
import { ScatterFrame } from "./ScatterFrame";
import { IChartLegend } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { ScatterBaseView } from "./ScatterBaseView";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { Marker } from "./Marker";
import { BrushSelectionMode } from "./BrushSelectionMode";
import { MarkerManagerBase } from "./MarkerManagerBase";
/**
 * @hidden
 */
export declare class BubbleSeries extends ScatterBase implements IScaleLegendSeries, ISupportsSizeScale, ISupportsFillScale {
    static $t: Type;
    protected bi(): Series;
    protected get_eg(): boolean;
    protected cq(): SeriesView;
    qw(a: SeriesView): void;
    acg: BubbleSeriesView;
    protected jj(): number;
    ws(): MarkerFillMode;
    constructor();
    private ad6;
    private ad5;
    isAttachedTo(a: IChartLegend): boolean;
    protected ef(): boolean;
    protected px(a: (arg1: any) => void): void;
    get acn(): IFastItemColumn$1<number>;
    protected get_isColoredItemwise(): boolean;
    act: List$1<UIElement>;
    private ad4;
    get legendReady(): boolean;
    get minScaleText(): string;
    get maxScaleText(): string;
    forScaleColors(a: (arg1: Brush, arg2: number) => void): boolean;
    adi: string;
    ko(a: any, b: string): any;
    ma(a: string): string;
    get acp(): IFastItemColumn$1<number>;
    set acp(a: IFastItemColumn$1<number>);
    private acl;
    aci: SizeScale;
    ac8: string;
    private ack;
    get aco(): IFastItemColumn$1<any>;
    set aco(a: IFastItemColumn$1<any>);
    ac3: string;
    acf: BrushScale;
    private acj;
    get acm(): IFastItemColumn$1<number>;
    set acm(a: IFastItemColumn$1<number>);
    acq: boolean;
    acr: boolean;
    acx: number;
    acw: number;
    acs: boolean;
    aav(a: ScatterBaseView, b: ScatterFrame, c: number, d: Rect, e: Rect): void;
    aa5(a: ScatterFrame, b: ScatterBaseView): void;
    private adn;
    static acu(a: number, b: number, c: number, d: number, e: number): number;
    static acv(a: number, b: number, c: number, d: number, logBase_: number, e: number): number;
    hc(a: Rect, b: Rect, c: SeriesView): boolean;
    protected zi(a: string, b: FastItemsSourceEventAction): boolean;
    private adm;
    protected o8(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    p8(): void;
    qf(): void;
    protected q4(a: any, b: string, c: any, d: any): void;
    updateSizeScaleGlobals(): void;
    updateFillScaleGlobals(): void;
    ace(a: SizeScale): ActualRange;
    acd(): ActualRange;
    ach: SizeScale;
    adp(a: List$1<Marker>, b: List$1<number>, c: Rect, d: boolean): void;
    ado(a: List$1<Marker>): void;
    ade: string;
    acz: string;
    adg: string;
    ac1: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    get actualMarkerBrush(): Brush;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class CustomPaletteBrushScale extends BrushScale {
    static $t: Type;
    constructor();
    brushSelectionMode: BrushSelectionMode;
    getBrush1(a: number, b: number): Brush;
    protected get_isReady(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class BubbleSeriesView extends ScatterBaseView {
    static $t: Type;
    protected dk: BubbleSeries;
    constructor(a: BubbleSeries);
    au(): void;
    protected cz(): MarkerManagerBase;
    dm(): void;
    dn(): void;
    dl(): void;
    getDefaultTooltipTemplate(): string;
}
